import requests
from pprint import pprint

API_KEY = "dd4be0c4229d990490276065c965bc38"

def check_coordinates(city, API_KEY):
    response=requests.get(f'http://api.openweathermap.org/geo/1.0/direct?q={city}&appid={API_KEY}')
    #print(response.status_code)
    #pprint(response.json())
    lat = response.json()[0]['lat']
    lon = response.json()[0]['lon']
    city = response.json()[0]['name']
    country = response.json()[0]['country']
    return lat, lon, city, country

def check_coordinates(lat, lon):
    response=requests.get(f'http://api.openweathermap.org/data/2.5/weather?lat={lat}&lon={lon}&limit=1&appid={API_KEY}&lang=PL&units=metric')
    #print(response.status_code)
    #pprint(response.json())
    response_json = response.json()
    weather = response_json['weather'][0]['description']
    temperature = response_json['main']['temp']
    pressure = response_json['main']['pressure']
    humidity = response_json['main']['humidity']
    return weather, temperature, pressure, humidity

print("Witaj, jestem Travelinator, twój inteligenty asystent podróży")
origin_city = input("Podaj nazwę miasta z którego podróżujesz: ")
destination_city = input("Podaj nazwę miasta do którego podróżujesz: ")

origin_lat, origin_lon, origin_city, origin_country = check_coordinates(origin_city,API_KEY)
destination_lat, destination_lon, destination_city, destination_country = check_coordinates(destination_city,API_KEY)

print(f"Miasto z którego podróżujesz: {origin_city}")
print(f"Miasto do którego podróżujesz: {destination_city}")
print(f"Jego współrzędne geograficzne to:\n{destination_lat} szerokości geograficznej \n{destination_lon} długości geograficznej")